Bug 14396 - bridge отбирает карточку на себя и перестаёт быть bridge
: bridge отбирает карточку на себя и перестаёт быть bridge
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/alterator)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-11 23:30 by
Modified: 2014-11-05 20:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-11 23:30:25
Имею изначально в /etc/iftab:
---
# cat /etc/iftab 
lan	mac 00:0c:29:3b:8c:a8
---
А в /etc/net/ifaces
---
# ls /etc/net/ifaces
brlan default lan lo unknown venet0
с следующим содержанием:
---
# ls /etc/net/ifaces/brlan
brctl  options

# cat /etc/net/ifaces/brlan/brctl 
stp AUTO off

# cat /etc/net/ifaces/brlan/options 
BOOTPROTO=dhcp
TYPE=bri
HOST='lan'
ONBOOT=yes
DISABLED=no
# ls /etc/net/ifaces/lan
ipv4address  options
# cat /etc/net/ifaces/lan/options 
BOOTPROTO=static
DISABLED=no
TYPE=eth
# cat /etc/net/ifaces/lan/ipv4address 
0.0.0.0

# ls /etc/net/ifaces/venet0/
options
# cat /etc/net/ifaces/venet0/options 
DISABLED=yes
ONBOOT=no



Перезагружаюсь. (/sbin/init 6)

Получаю систему без связи с окружающим миром. Приехав к ней подключив клавиатуру
и дисплей вижу:
---
# cat /etc/iftab 
lan	mac 00:0c:29:3b:8c:a8
brlan	mac 00:0c:29:3b:8c:a8
# ifconfig 
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
и ничего больше

# ifconfig brlan 
brlan     Link encap:Ethernet  HWaddr 00:0C:29:3B:8C:A8  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:177 Base address:0x1080 

при этом:
---
# brctl show
bridge name	bridge id		STP enabled	interfaces
---
то есть brlan перестал быть bridge'м

А /sbin/service network restart даёт такую картину:
---
# /sbin/service network restart 
Computing interface groups: ... 3 interfaces found
Stopping group 2/hostedphys (1 interfaces)
	Stopping brlan: can't delete bridge brlan: Operation not permitted
.OK
Processing /etc/net/vlantab: empty.
Stopping group 1/realphys (1 interfaces)
	Stopping lan: OK
Stopping group 0/virtual (1 interfaces)
	Stopping lo: .OK
Computing interface groups: ... 3 interfaces found
Starting group 0/virtual (1 interfaces)
	Starting lo: ....OK
Starting group 1/realphys (1 interfaces)
	Starting lan: SIOCGIFFLAGS: No such device
!FAILED
Processing /etc/net/vlantab: empty.
Starting group 2/hostedphys (1 interfaces)
	Starting brlan: SIOCGIFFLAGS: No such device
!ERROR: /etc/net/scripts/ifup: Could not ifup dependency for interface 'brlan'
FAILED
------- Comment #1 From 2008-02-18 19:45:15 -------
У меня работает, на нескольких системах на базе текущего Sisyphus и Branch 4.0, 
с замечаниями:
1. не с /etc/iftab, а /etc/net/iftab;
2. с прописанным модулем (MODULES= ) сетевой карты в её options. 
3. без файла /etc/net/ifaces/lan/ipv4address;
4. со статическим адресом (адресами) мостов;
5. без выключения venet0.

Ну и с настройкой всего хозяйства вручную, без alterator'а.
------- Comment #2 From 2008-03-11 21:39:40 -------
Не понял, при чём здесь:
1) alterator;
2) taf@

Если есть желание, чтоб бага была исправлена -- хорошо бы её развешивать
релевантно...
------- Comment #3 From 2008-04-03 16:31:38 -------
alterator теперь позволяет управлять: заполнять или не заполнять /etc/iftab ...
так что видимо бага не актуальна.
------- Comment #4 From 2014-11-05 20:15:52 -------
В 4.0/branch исправления не будут вноситься уже технически (заглушена очередь
на сборку), поэтому прошу ошибки, актуальные для sisyphus/p7/t7, перевесить на
текущие ветки или сизиф.